GET /api/auth_source_ldaps
List all LDAP authentication sources

GET /api/locations/:location_id/auth_source_ldaps
List LDAP authentication sources per location

GET /api/organizations/:organization_id/auth_source_ldaps
List LDAP authentication sources per organization

Params

Param name Description
location_id
optional

Scope by locations

Validations:

  • Must be a Integer

organization_id
optional

Scope by organizations

Validations:

  • Must be a Integer

search
optional

filter results

Validations:

  • Must be a String

order
optional

Sort and order by a searchable field, e.g. ‘<field> DESC’

Validations:

  • Must be a String

page
optional

Page number, starting at 1

Validations:

  • Must be a number.

per_page
optional

Number of results per page to return, ‘all’ to return all results

Validations:

  • Must match regular expression /\A([1-9]\d*|all)\Z$/.

Search fields

Field name Type Possible values
id integer
location string
location_id integer
name string
organization string
organization_id integer

GET /api/auth_source_ldaps/:id
Show an LDAP authentication source

Params

Param name Description
location_id
optional

Set the current location context for the request

Validations:

  • Must be a Integer

organization_id
optional

Set the current organization context for the request

Validations:

  • Must be a Integer

id
required

Validations:

  • Must be an identifier, string from 1 to 128 characters containing only alphanumeric characters, space, underscore(_), hypen(-) with no leading or trailing space.


POST /api/auth_source_ldaps
Create an LDAP authentication source

Params

Param name Description
location_id
optional

Set the current location context for the request

Validations:

  • Must be a Integer

organization_id
optional

Set the current organization context for the request

Validations:

  • Must be a Integer

auth_source_ldap
required

Validations:

  • Must be a Hash

auth_source_ldap[name]
required

Validations:

  • Must be a String

auth_source_ldap[host]
required

The hostname of the LDAP server

Validations:

  • Must be a String

auth_source_ldap[port]
optional , nil allowed

defaults to 389

Validations:

  • Must be a number.

auth_source_ldap[account]
optional , nil allowed

Validations:

  • Must be a String

auth_source_ldap[base_dn]
optional , nil allowed

Validations:

  • Must be a String

auth_source_ldap[account_password]
optional , nil allowed

required if onthefly_register is true

Validations:

  • Must be a String

auth_source_ldap[attr_login]
optional , nil allowed

required if onthefly_register is true

Validations:

  • Must be a String

auth_source_ldap[attr_firstname]
optional , nil allowed

required if onthefly_register is true

Validations:

  • Must be a String

auth_source_ldap[attr_lastname]
optional , nil allowed

required if onthefly_register is true

Validations:

  • Must be a String

auth_source_ldap[attr_mail]
optional , nil allowed

required if onthefly_register is true

Validations:

  • Must be a String

auth_source_ldap[attr_photo]
optional , nil allowed

Validations:

  • Must be a String

auth_source_ldap[onthefly_register]
optional , nil allowed

Validations:

  • Must be one of: true, false, 1, 0.

auth_source_ldap[usergroup_sync]
optional , nil allowed

sync external user groups on login

Validations:

  • Must be one of: true, false, 1, 0.

auth_source_ldap[tls]
optional , nil allowed

Enable LDAPS. Disabling it clears any previously set CA certificate(s).

Validations:

  • Must be one of: true, false, 1, 0.

auth_source_ldap[cacert]
optional , nil allowed

PEM-encoded CA certificate(s) used for LDAPS verification. When set, only these certificates are trusted and the system trust store is not used. Leave empty to use the system trust store. In containerized deployments, the container’s trust store is used, so the CA certificate(s) may need to be provided here explicitly.

Validations:

  • Must be a String

auth_source_ldap[groups_base]
optional , nil allowed

groups base DN

Validations:

  • Must be a String

auth_source_ldap[use_netgroups] DEPRECATED
optional , nil allowed

use NIS netgroups instead of posix groups, applicable only when server_type is posix or free_ipa. Deprecated in favor of ldap_group_membership = nis_netgroups

Validations:

  • Must be one of: true, false, 1, 0.

auth_source_ldap[ldap_group_membership]
optional , nil allowed

type of group membership to use, applicable only when server_type is posix, free_ipa or netiq. Option rfc4519 is only applicable when server_type is posix.

Validations:

  • Must be one of: posix, rfc4519, nis_netgroups.

auth_source_ldap[server_type]
optional , nil allowed

type of the LDAP server

Validations:

  • Must be one of: free_ipa, active_directory, posix, netiq.

auth_source_ldap[ldap_filter]
optional , nil allowed

LDAP filter

Validations:

  • Must be a String

auth_source_ldap[location_ids]
optional , nil allowed

REPLACE locations with given ids

Validations:

  • Must be an array of any type

auth_source_ldap[organization_ids]
optional , nil allowed

REPLACE organizations with given ids.

Validations:

  • Must be an array of any type


PUT /api/auth_source_ldaps/:id
Update an LDAP authentication source

Params

Param name Description
location_id
optional

Set the current location context for the request

Validations:

  • Must be a Integer

organization_id
optional

Set the current organization context for the request

Validations:

  • Must be a Integer

id
required

Validations:

  • Must be a String

auth_source_ldap
required

Validations:

  • Must be a Hash

auth_source_ldap[name]
optional

Validations:

  • Must be a String

auth_source_ldap[host]
optional

The hostname of the LDAP server

Validations:

  • Must be a String

auth_source_ldap[port]
optional , nil allowed

defaults to 389

Validations:

  • Must be a number.

auth_source_ldap[account]
optional , nil allowed

Validations:

  • Must be a String

auth_source_ldap[base_dn]
optional , nil allowed

Validations:

  • Must be a String

auth_source_ldap[account_password]
optional , nil allowed

required if onthefly_register is true

Validations:

  • Must be a String

auth_source_ldap[attr_login]
optional , nil allowed

required if onthefly_register is true

Validations:

  • Must be a String

auth_source_ldap[attr_firstname]
optional , nil allowed

required if onthefly_register is true

Validations:

  • Must be a String

auth_source_ldap[attr_lastname]
optional , nil allowed

required if onthefly_register is true

Validations:

  • Must be a String

auth_source_ldap[attr_mail]
optional , nil allowed

required if onthefly_register is true

Validations:

  • Must be a String

auth_source_ldap[attr_photo]
optional , nil allowed

Validations:

  • Must be a String

auth_source_ldap[onthefly_register]
optional , nil allowed

Validations:

  • Must be one of: true, false, 1, 0.

auth_source_ldap[usergroup_sync]
optional , nil allowed

sync external user groups on login

Validations:

  • Must be one of: true, false, 1, 0.

auth_source_ldap[tls]
optional , nil allowed

Enable LDAPS. Disabling it clears any previously set CA certificate(s).

Validations:

  • Must be one of: true, false, 1, 0.

auth_source_ldap[cacert]
optional , nil allowed

PEM-encoded CA certificate(s) used for LDAPS verification. When set, only these certificates are trusted and the system trust store is not used. Leave empty to use the system trust store. In containerized deployments, the container’s trust store is used, so the CA certificate(s) may need to be provided here explicitly.

Validations:

  • Must be a String

auth_source_ldap[groups_base]
optional , nil allowed

groups base DN

Validations:

  • Must be a String

auth_source_ldap[use_netgroups] DEPRECATED
optional , nil allowed

use NIS netgroups instead of posix groups, applicable only when server_type is posix or free_ipa. Deprecated in favor of ldap_group_membership = nis_netgroups

Validations:

  • Must be one of: true, false, 1, 0.

auth_source_ldap[ldap_group_membership]
optional , nil allowed

type of group membership to use, applicable only when server_type is posix, free_ipa or netiq. Option rfc4519 is only applicable when server_type is posix.

Validations:

  • Must be one of: posix, rfc4519, nis_netgroups.

auth_source_ldap[server_type]
optional , nil allowed

type of the LDAP server

Validations:

  • Must be one of: free_ipa, active_directory, posix, netiq.

auth_source_ldap[ldap_filter]
optional , nil allowed

LDAP filter

Validations:

  • Must be a String

auth_source_ldap[location_ids]
optional , nil allowed

REPLACE locations with given ids

Validations:

  • Must be an array of any type

auth_source_ldap[organization_ids]
optional , nil allowed

REPLACE organizations with given ids.

Validations:

  • Must be an array of any type


PUT /api/auth_source_ldaps/:id/test
Test LDAP connection

Params

Param name Description
location_id
optional

Set the current location context for the request

Validations:

  • Must be a Integer

organization_id
optional

Set the current organization context for the request

Validations:

  • Must be a Integer

id
required

Validations:

  • Must be a String


DELETE /api/auth_source_ldaps/:id
Delete an LDAP authentication source

Params

Param name Description
location_id
optional

Set the current location context for the request

Validations:

  • Must be a Integer

organization_id
optional

Set the current organization context for the request

Validations:

  • Must be a Integer

id
required

Validations:

  • Must be a String